using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmManageEmployee : System.Web.UI.Page
{
    EmployeeDetailBL emp = new EmployeeDetailBL();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == "")
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindData();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = emp.Show_Employee();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                emp.Loginid = int.Parse(btn.CommandArgument);
            }
            emp.Delete_Employee();
            Label1.Text = "Deleted...!";
            BindData();
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                emp.Loginid = int.Parse(btn.CommandArgument);
                ViewState["Id"] = emp.Loginid;
                DataSet ds = new DataSet();
                ds = emp.Show_Employee_ById();
                txtName.Text = ds.Tables[0].Rows[0][0].ToString();
                txtAddress.Text = ds.Tables[0].Rows[0][1].ToString();
                txtPhone.Text = ds.Tables[0].Rows[0][2].ToString();
                txtMail.Text = ds.Tables[0].Rows[0][3].ToString();
                ListItem li=ddlDutyTime.Items.FindByText(ds.Tables[0].Rows[0][4].ToString());
            }

        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            emp.Loginid = int.Parse(ViewState["Id"].ToString());
            emp.Name = txtName.Text.Trim();
            emp.Address = txtAddress.Text.Trim();
            emp.Phone = txtPhone.Text.Trim();
            emp.Email = txtMail.Text.Trim();
            emp.Dutytime = ddlDutyTime.SelectedItem.Text;
            emp.Update_Employee();
            Label1.Text = "Updated...!";
            BindData();
        }
        catch (Exception)
        {
            
            throw;
        }   

    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
        Label1.Text = "";
    }
}
