using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmManageFacilities : System.Web.UI.Page
{
    FacilityMasterBL facility = new FacilityMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == "")
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindData();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = facility.ShowFacility();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();
    }
   
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                facility.Facilityid = int.Parse(btn.CommandArgument);
                ViewState["Id"] = facility.Facilityid;
                DataSet ds = new DataSet();
                ds = facility.ShowFacility_ById();
                txtFacility.Text = ds.Tables[0].Rows[0][0].ToString();
               txtCharge.Text=ds.Tables[0].Rows[0][1].ToString();
            }
         
        }
    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                btn = (Button)gr.FindControl("btndelete");
                facility.Facilityid = int.Parse(btn.CommandArgument);
            }
            facility.Delete_Facility();
            Label1.Text = "Deleted...!";
            BindData();
        }
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            facility.Facilityid = int.Parse(ViewState["Id"].ToString());
            facility.Type = txtFacility.Text.Trim();
            facility.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            facility.UpdateFacility();
            Label1.Text = "Updated...!";
            BindData();
        }
        catch (Exception)
        {
            
            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
        Label1.Text = "";
    }
}
