using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Reception_frmAddLaundaryChargeToCustomer : System.Web.UI.Page
{
    decimal total;
    RoomMasterBL room = new RoomMasterBL();
    LaundaryMasterBL laundary = new LaundaryMasterBL();
    GuestEntryBL guest = new GuestEntryBL();
    LaundaryChargeBL charge = new LaundaryChargeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Session["Name"] == null)
            {
                Response.Redirect("~/frmLogin.aspx");
            }
            DataSet ds = new DataSet();
            ds = laundary.ShowClotheCharge();
            txtClotheCharge.Text = ds.Tables[0].Rows[0][0].ToString();
            ddlRoomNo.DataSource = guest.ShowRoomByGuest();
            ddlRoomNo.DataTextField = "roomname";
            ddlRoomNo.DataValueField = "roomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");
        }
    }
    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerNameByRoomId();
            txtName.Text = ds.Tables[0].Rows[0][0].ToString();
        }
        catch (Exception)
        {

            lblMsg.Text = "Plz Select Room No...!";
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Name = txtName.Text.Trim();
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerId();
            charge.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            charge.Custid = int.Parse(ds.Tables[0].Rows[0][0].ToString());
            charge.Date = GMDatePicker1.Date;
            charge.Clotheno = int.Parse(txtClotheNo.Text.Trim());
            total=Convert.ToDecimal(txtClotheCharge.Text.Trim())*Convert.ToDecimal(txtClotheNo.Text.Trim());
            lblCharge.Text = total.ToString();
            charge.Charge = Convert.ToDecimal(lblCharge.Text.Trim());
            charge.InsertLaundaryChargeToGuest();
            lblMsg.Text = "Charge Added To Guest...!";
        }
        catch (Exception ex)
        {

            lblMsg.Text = ex.Message.ToString();
        }

    }
}
