using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for PhoneMasterBL
/// </summary>
public class PhoneMasterBL:Connection
{
    public static DataSet ds;
	public PhoneMasterBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string type;
    public string Type
    {
        get { return type; }
        set { type = value; }
    }
    decimal charge;
    public decimal Charge
    {
        get { return charge; }
        set { charge = value; }
    }
    private int callid;
    public int Callid
    {
        get { return callid; }
        set { callid = value; }
    }
    public void InsertPhoneCharge()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@type", this.type);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@charge", this.charge);
        p[1].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertPhoneCharge", p);
    }
    public DataSet ShowCallType()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCallType");
        return ds;
    }
    public DataSet ShowChargeByCallId()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@callid", this.callid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowChargeByCallId",p);
        return ds;
    }
    public DataSet Show_CallType_ById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.callid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_CallType_ById", p);
        return ds;
    }
    public void Update_CallType()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@id", this.callid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@type", this.type);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@charge", this.charge);
        p[2].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_CallType", p);
    }
    public void Delete_CallType()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.callid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_CallType", p);
    }
}
