using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class User_frmRequestForRoom : System.Web.UI.Page
{
    RoomRequestBL roomreq = new RoomRequestBL();
    RoomMasterBL room = new RoomMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Name"] == null)
        {
            Response.Redirect("~/frmLogin.aspx");
        }
        if (!IsPostBack)
        {
            ddlRoomNo.DataSource = room.ShowAllRoom();
            ddlRoomNo.DataTextField = "RoomName";
            ddlRoomNo.DataValueField = "RoomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            roomreq.Name = txtName.Text.Trim();
            roomreq.Address = txtAddress.Text.Trim();
            roomreq.Phone = txtPhone.Text.Trim();
            roomreq.Email = txtMail.Text.Trim();
            roomreq.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            roomreq.Badno = chkBadType.SelectedItem.Text;
            roomreq.Person=int.Parse(txtPerson.Text.Trim());
            roomreq.Day=int.Parse(txtDays.Text.Trim());
            roomreq.Reqdate = System.DateTime.Now.Date;
            roomreq.Roomdate = GMDatePicker1.Date;
            roomreq.InsertRoomRequest();
            Response.Redirect("~/User/frmRoomRquestInfo.aspx");
        }
        catch (Exception)
        {
            
            throw;
        }
    }
    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            room.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            DetailsView1.DataSource = room.ShowAllRoomInfoByID();
            DetailsView1.DataBind();
            lblMsg.Text = "";
        }
        catch (Exception)
        {
            lblMsg.Text = "Plz Select Room No...!";
        }
    }
}
