using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Hotel_Master_frmPhoneCharge : System.Web.UI.Page
{
    PhoneMasterBL phone = new PhoneMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            phone.Type = txtType.Text.Trim();
            phone.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            phone.InsertPhoneCharge();
            lblMsg.Text = "Phone Charge Added...!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtCharge.Text = "";
        txtType.Text = "";
        txtType.Focus();
        lblMsg.Text = "";
    }
}
