using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Inventory_Master_frmPurchaseNewItem : System.Web.UI.Page
{
    decimal total;
    PurchaseItemBL purchase = new PurchaseItemBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            purchase.Item = txtName.Text.Trim();
            purchase.Date = GMDatePicker1.Date;
            purchase.Quantity = int.Parse(txtQuantity.Text.Trim());
            purchase.Amount = Convert.ToDecimal(txtItemCost.Text.Trim());
            
            //Calculation
            total = int.Parse(txtQuantity.Text.Trim()) * Convert.ToDecimal(txtItemCost.Text.Trim());
            txtTotAmount.Text = total.ToString();
            purchase.Total = Convert.ToDecimal(txtTotAmount.Text.Trim());
            purchase.InsertPurchaseItem();
            lblMsg.Text = "Item Purchased...!";

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtItemCost.Text = "";
        txtName.Text = "";
        txtTotAmount.Text = "";
        txtQuantity.Text = "";
        lblMsg.Text = "";

    }
}
