using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Inventory_Master_frmSaleItem : System.Web.UI.Page
{
    decimal total;
    SaleItemBL sale = new SaleItemBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            sale.Item = txtName.Text.Trim();
            sale.Date = GMDatePicker1.Date;
            sale.Quantity = int.Parse(txtQuantity.Text.Trim());
            sale.Amount = Convert.ToDecimal(txtItemCost.Text.Trim());

            //Calculation
            total = int.Parse(txtQuantity.Text.Trim()) * Convert.ToDecimal(txtItemCost.Text.Trim());
            txtTotAmount.Text = total.ToString();
            sale.Total = Convert.ToDecimal(txtTotAmount.Text.Trim());
            sale.InsertSaleItem();
            lblMsg.Text = "Item Sold...!";

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtItemCost.Text = "";
        txtName.Text = "";
        txtTotAmount.Text = "";
        txtQuantity.Text = "";
        lblMsg.Text = "";
    }
}
