using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for FoodMasterBL
/// </summary>
public class FoodMasterBL:Connection
{
    public static DataSet ds;
	public FoodMasterBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name;
    public string Name
    { get { return name; }
      set { name = value; } 
    }
    decimal charge;
    public decimal Charge
    {
        get { return charge; }
        set { charge = value; }
    }
    int foodid;
    public int Foodid
    {
        get { return foodid; }
        set { foodid = value; }
    }
    public void InsertFoodItem()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@charge", this.charge);
        p[1].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertFoodItem", p);
    }
    public DataSet ShowFoodItem()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowFoodItem");
        return ds;
    }
    public DataSet ShowChargeByFood()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@foodid", this.foodid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowChargeByFood",p);
        return ds;
    }
    public DataSet Show_FoodItem_ById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.foodid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_FoodItem_ById", p);
        return ds;
    }
    public void Update_FoodItem()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@id", this.foodid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@name", this.name);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@charge", this.charge);
        p[2].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_FoodItem", p);
    }
    public void Delete_FoodItem()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.foodid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_FoodItem", p);
    }
}
