using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for SaleItemBL
/// </summary>
public class SaleItemBL:Connection
{
    public static DataSet ds;
	public SaleItemBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    private string item;
    public string Item
    {
        get { return item; }
        set { item = value; }
    }
    private DateTime date;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    decimal amount, total;
    public decimal Amount
    {
        get { return amount; }
        set { amount = value; }
    }
    public decimal Total
    {
        get { return total; }
        set { total = value; }
    }
    private int quantity;
    public int Quantity
    {
        get { return quantity; }
        set { quantity = value; }
    }
    public void InsertSaleItem()
    {
        SqlParameter[] p = new SqlParameter[5];
        p[0] = new SqlParameter("@item", this.item);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.Date;
        p[2] = new SqlParameter("@quantity", this.quantity);
        p[2].DbType = DbType.Int16;
        p[3] = new SqlParameter("@amount", this.amount);
        p[3].DbType = DbType.Decimal;
        p[4] = new SqlParameter("@total", this.total);
        p[4].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertSaleItem", p);
    }
    public DataSet ShowSaleItem()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowSaleItem");
        return ds;
    }
}
