using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Reception_frmAddPhoneChargeToCustomer : System.Web.UI.Page
{
    decimal total;
    RoomMasterBL room = new RoomMasterBL();
    GuestEntryBL guest = new GuestEntryBL();
    PhoneMasterBL phone = new PhoneMasterBL();
    PhoneChargeBL charge = new PhoneChargeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Name"] == null)
        {
            Response.Redirect("~/frmLogin.aspx");
        }
        if (!IsPostBack)
        {
            ddlRoomNo.DataSource = guest.ShowRoomByGuest();
            ddlRoomNo.DataTextField = "roomname";
            ddlRoomNo.DataValueField = "roomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");

            ddlCallType.DataSource = phone.ShowCallType();
            ddlCallType.DataTextField = "CallType";
            ddlCallType.DataValueField = "CallId";
            ddlCallType.DataBind();
            ddlCallType.Items.Insert(0, "---Select---");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Name = txtName.Text.Trim();
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerId();
            charge.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            charge.Custid = int.Parse(ds.Tables[0].Rows[0][0].ToString());
            charge.Date = GMDatePicker1.Date;
            charge.Duration = int.Parse(txtDuration.Text.Trim());
            total = Convert.ToDecimal(txtCallCharge.Text.Trim()) * Convert.ToDecimal(txtDuration.Text.Trim());
            lblCharge.Text = total.ToString();
            charge.Charge = Convert.ToDecimal(lblCharge.Text.Trim());
            charge.InserCallChargeToGuest();
            lblMsg.Text = "Charge Added To Guest...!";
        }
        catch (Exception ex)
        {

            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerNameByRoomId();
            txtName.Text = ds.Tables[0].Rows[0][0].ToString();
        }
        catch (Exception)
        {

            lblMsg.Text = "Plz Select Room No...!";
        }
    }
    protected void ddlCallType_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            phone.Callid = int.Parse(ddlCallType.SelectedValue);
            DataSet ds = new DataSet();
            ds = phone.ShowChargeByCallId();
            txtCallCharge.Text = ds.Tables[0].Rows[0][0].ToString();
        }
        catch (Exception)
        {
            lblMsg.Text = "Plz Select Call Type...!";
        }
    }
}
