using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Employee_frmAddGuestEntry : System.Web.UI.Page
{
    RoomMasterBL room = new RoomMasterBL();
    GuestEntryBL guest = new GuestEntryBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Name"] == null)
        {
            Response.Redirect("~/frmLogin.aspx");
        }
        if (!IsPostBack)
        {
         
            ddlRoomNo.DataSource = room.ShowRoom();
            ddlRoomNo.DataTextField = "RoomName";
            ddlRoomNo.DataValueField = "RoomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            guest.Name = txtName.Text.Trim();
            guest.Address = txtAddress.Text.Trim();
            guest.Phone = txtPhone.Text.Trim();
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Date = GMDatePicker1.Date;
            guest.Time = txtTime.Text + ddlTime.SelectedItem.Text;
            guest.Advance = Convert.ToDecimal(txtAdvance.Text.Trim());
            room.Roomid= int.Parse(ddlRoomNo.SelectedValue);
            room.UpdateRoomStatus();
            guest.InsertGuestEntry();
            lblMsg.Text = "Guest Checked In...!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {

    }

    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            room.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            DetailsView1.DataSource = room.ShowRoomInfoByID();
            DetailsView1.DataBind();
            lblMsg.Text = "";
        }
        catch (Exception)
        {
            lblMsg.Text = "Plz Select Room No...!";
        }
    }
}
